# 2013-01-27 Ed Trettevik - initial
#=======================================================================================
# No debuginfo
%define debug_package ${nil}
%if 0%{?rhel} > 5
%define is_redhat_x 1
%endif
%if 0%{?fedora} || 0%{?is_redhat_x}
%define exclude_infodir_dir 1
%else
%define exclude_infodir_dir 0
%endif

Summary: A framework for managing NodeBrain applications
Name: nbkit-caboodle
Version: 0.8.14
Release: 1%{?dist}
License: GPLv2
Group: Applications/Engineering
Source: nbkit-caboodle-0.8.14.tar.gz
BuildArch: noarch
URL: http://www.nodebrain.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: nodebrain
#Requires: perl(XML::SimpleObject)
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
AutoReqProv: no

%prep
%setup -q 

%build
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} \
    docdir=%{buildroot}%{_docdir}/%{name} \
    install

%post
if [ -f %{_infodir}/%{name}.info.gz ]; then # for --excludedocs
   /sbin/install-info %{_infodir}/%{name}.info.gz --dir-file=%{_infodir}/dir ||:
fi

%preun
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/${name}.info.gz ]; then # for --excludedocs
        /sbin/install-info --delete %{_infodir}/${name}.info.gz %{_infodir}/dir ||:
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%description
The Caboodle NodeBrain Kit is a simple framework for managing NodeBrain
applications.  It provides a method of organizing the components of a
typical NodeBrain application and managing rules as XML documents edited
via command line or web interface.

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_mandir}/man7/*.7*
%{_infodir}/*.info*
%if %exclude_infodir_dir
%exclude %{_infodir}/dir
%endif
%{_datadir}/nbkit

#-------------------------------------------------------------------------

%changelog
* Sun Mar 15 2013 Ed Trettevik <eat@nodebrain.org> - 0.8.14-1
- Using symbolic name in the install-info commands
* Sun Feb 10 2013 Ed Trettevik <eat@nodebrain.org> - 0.8.13-2
- Installing kit as *.tar.gz and modified nbkit use command
* Sun Jan 27 2013 Ed Trettevik <eat@nodebrain.org> - 0.8.13-1
- Initial RPM release
